---
apiVersion: opentelemetry.io/v1alpha1
kind: OpenTelemetryCollector
metadata:
  name: otel
  labels:
    jaeger-clickhouse: demo
  namespace: obs-otel
spec:
  config: |
    receivers:
      otlp:
        protocols:
          grpc:
          http:
      
      loki:
        protocols:
          http:
            endpoint: 0.0.0.0:3500
        use_incoming_timestamp: true
    
    processors:

    exporters:
      logging/detailed:
        verbosity: detailed
    
      otlp/jaeger:
        endpoint: jaeger-clickhouse-collector.obs-jaeger.svc:4317
        tls:
          insecure: true
          insecure_skip_verify: true
    
      prometheusremotewrite/vminsert:
        endpoint: "http://vminsert-vm-cluster.obs-victoria-metrics.svc:8480/insert/0/prometheus/api/v1/write"
        resource_to_telemetry_conversion:
          enabled: true
    
      loki:
        endpoint: http://loki-distributor.obs-loki.svc:3100/loki/api/v1/push
    
    service:
      pipelines:
        traces:
          receivers: 
            - otlp
          processors: []
          exporters: 
            - otlp/jaeger
        metrics:
          receivers: 
            - otlp
          exporters: 
            - prometheusremotewrite/vminsert
        logs:
          receivers: 
            - otlp
            - loki
          exporters: 
            - logging/detailed
            - loki